Redmine - Defect #6968

Sorting of issues in Gantt
2010-11-24 16:58 - alexis coudeyras

Status: Closed Start date: 2010-11-24
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Gantt Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version:

Description

I've got a problem with the sorting of issues in the Gantt. Some issues are not affected to their parent but to another parent.
| don't think it's possible to sort the list of issues correctly with a comparer like it's done in gantt.rb, so i've modified the gantt.rb in
lib/redmine/helpers. | have added a private function :

def gantt_issue_sort (all)

def get_sorted_childs (id, issues)

childs = issues.select {| 1i]
i.parent_id == id

}.sort {I|x, vyl
gantt_start_compare (x, y)

}

childs

end

def sort (id, issues, result)
childs = get_sorted_childs (id, issues)
childs.each do |c]|
result << c
sort (c.id, issues, result)

end
end
result = []
issues = all.select {]i] i1.is_a?(Issue)}
others = all.select {]i] not i.is_a?(Issue)}

sort (nil, issues, result)
result += others
result
end

and i have modified the def events=(e), just before the reject i have added :
@events = gantt_issue_sort(@events)

It's just a quick and dirty fix by somebody who has no experience in ruby programming, but i thought it might help to send you my
code.

Related issues:

Related to Redmine - Patch #5438: Patch repairing rendering of subtasks in ga... Closed 2010-05-04 2010-05-04
Is duplicate of Redmine - Defect #7335: Sorting issues in gantt by date, not ... Closed 2011-01-15
History

#1 - 2010-11-25 12:17 - Sepp _
What is the difference to the solution in #543813

#2 - 2010-11-25 13:11 - alexis coudeyras

I've tried the patch in #5438, it seems to work (and his patch is better than mine). My datas have changed a lot, so it's difficult to tell if patch #5438
really solve my problem. | keep it and check if it's ok.

2025-07-04 1/2



https://www.redmine.org/issues/5438
https://www.redmine.org/issues/5438

#3 - 2013-03-31 08:27 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Duplicate

| close this issue as duplicate with #7335 because #7335 has more discussion.

2025-07-04 22


https://www.redmine.org/issues/7335
https://www.redmine.org/issues/7335
http://www.tcpdf.org

